import { HcApi } from '../../../request/index'
//  合同材料
export default {
    //分页
    async getPage(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/list',
            method: 'get',
            params: form,
        }, msg)
    },
    //新增或修改
    async submit(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/submit',
            method: 'post',
            data: form,
        }, msg)
    },
    //删除
    async remove(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/remove',
            method: 'post',
            params: form,
        }, msg)
    },
     //材料树
     async materialTree(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/materialTree',
            method: 'get',
            params: form,
        }, msg)
    },
}